package com.microservices.pms.common.service;

import com.microservices.pms.enterprise.domain.vo.GitLinkUserToEnterpriseInputVo;

import java.util.List;

/**
 * 项目管理企业Service异步接口
 *
 * @author otto
 * @date 2023-11-13
 */
public interface IPmsCommonAsyncService {
    /**
     * 将gitlink组织用户同步到项目管理企业中
     */
    public void syncGitlinkOrganizationUserToPmsEnterprise(Long enterpriseId, List<GitLinkUserToEnterpriseInputVo> gitLinkUserToEnterpriseInputVoList);

    /**
     * 创建企业后，初始化数据
     */
    void syncInitPmsEnterpriseData(Long id, Long creatorGitLinkUserId);

    void syncChangeUserGitlinkRole(Long userId, Long deptId, Long oldRoleId, Long newRoleId);

    /**
     * 异步清除产品需求的标记
     *
     * @param tagId 标记id
     */
    void asyncClearProductRequirementTag(Long tagId);

    /**
     * 异步清除测试用例标记
     *
     * @param tagId 标记id
     */
    void asyncClearTestCaseTag(Long tagId);
}
